
import discord
from discord.ext import commands

# Словарь замен ключевых слов
KEYWORD_REPLACEMENTS = {
    "пизда": "селёдка под шубой",
    "хуй": "посох",
    "говно": "оливье",
    "моча": "помощники cанты",
    # "ло": "лоли",
    "лох": "плохой человек",
    "хуевый": "праздничный",
    "хуёвый": "праздничный",
    "хуево": "празднично",
    "хуёво": "празднично",
    "хуёвое": "праздничное",
    "хуевое": "праздничное",
    "хуевые": "праздничные",
    "хуёвые": "праздничные",
    "зоудек": "снежный ком",
    # "ор": "хохохо",
    "бух": "Счастливого Рождества и нового года!",
    "buh": "Happy new year!",
    "еблан": "непослушный мальчик",
    "насру": "подарю подарочек",
    "кабачок": "мандаринка",
    # "сво": "раздача подарков",
    "блядь": "снегурочка",
}

intents = discord.Intents.default()
intents.messages = True
intents.message_content = True
bot = commands.Bot(command_prefix="!", intents=intents)

@bot.event
async def on_ready():
    await bot.change_presence(status=discord.Status.do_not_disturb, activity=discord.Game(name="Наряжает новогоднюю ёлочку"))
    print(f"Бот {bot.user} успешно запущен!")

@bot.event
async def on_message(message):
    # Игнорировать сообщения от самого бота
    if message.author == bot.user:
        return

    if "http://" in message.content or "https://" in message.content:
        return

    modified_content = message.content
    original_content = message.content

    # Заменяем каждое ключевое слово в сообщении (регистронезависимо)
    for keyword, replacement in KEYWORD_REPLACEMENTS.items():
        modified_content = modified_content.replace(keyword, f"__{replacement}__")
        modified_content = modified_content.replace(keyword.capitalize(), f"__{replacement}__")
        modified_content = modified_content.replace(keyword.upper(), f"__{replacement}__")

    # Если были изменения, удаляем оригинальное сообщение и отправляем новое в эмбеде
    embed = None
    if modified_content.lower() != original_content.lower():

        try:
            await message.delete()
        except discord.errors.Forbidden:
            print(f"Нет прав на удаление сообщения от {message.author}")

        embed = discord.Embed(title="", description=modified_content, color=discord.Color.green())
        if message.author.avatar:
            embed.set_author(name=str(message.author), icon_url=message.author.avatar.url)
        else:
            embed.set_author(name=str(message.author))
        embed.set_footer(text=f"")

    # Отправка ответа на оригинальное сообщение, если оно есть
    if embed:
        reference = message.reference
        if reference and isinstance(reference.resolved, discord.Message):
            await reference.resolved.reply(embed=embed)
        else:
            await message.channel.send(embed=embed) 

# Замените 'YOUR_TOKEN_HERE' на токен вашего бота
bot.run('YOUR_TOKEN_HERE')
